App::Sqitch::Command::target(3pm)

Name
App::Sqitch::Command::target - Add, modify, or list Sqitch target databases

Synopsis
  my $cmd = App::Sqitch::Command::target->new(%params);
  $cmd->execute;

Description
Manages Sqitch targets, which are stored in the local configuration file.

Interface
Class Methods

"extra_target_keys"

Returns a list of additional option keys to be specified via options.

  Instance Methods

  Attributes
"properties"

Hash of property values to set.

"verbose"

Verbosity.

"execute"

  $target->execute($command);

Executes the "target" command.

"add"

Implements the "add" action.

"alter"

Implements the "alter" action.

"list"

Implements the "list" action.

"remove"

"rm"

Implements the "remove" action.

"rename"

Implements the "rename" action.

"show"

Implements the "show" action.

See Also

sqitch-target
    Documentation for the "target" command to the Sqitch command-line client.

sqitch
    The Sqitch command-line client.

Author
David E. Wheeler <david@justatheory.com>

License
Copyright (c) 2012-2026 David E. Wheeler, 2012-2021 iovation Inc.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.